Return an Address
Returns an Address
GET
/
api
/
v2
/
platform
/
addresses
/
{id}
Return an Address
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/addresses/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6",
"type": "address",
"attributes": {
"firstname": "John",
"lastname": "Doe",
"address1": "6 Lovely Street",
"address2": "Northwest",
"city": "Herndon",
"zipcode": "35005",
"phone": "555-555-0199",
"state_name": null,
"alternative_phone": "555-555-0199",
"company": "Company",
"created_at": "2022-11-08T19:33:51.740Z",
"updated_at": "2022-11-08T19:33:51.740Z",
"deleted_at": null,
"label": null,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"country": {
"data": {
"id": "6",
"type": "country"
}
},
"state": {
"data": {
"id": "6",
"type": "state"
}
},
"user": {
"data": null
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Response
Record found
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Return an Address
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/addresses/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6",
"type": "address",
"attributes": {
"firstname": "John",
"lastname": "Doe",
"address1": "6 Lovely Street",
"address2": "Northwest",
"city": "Herndon",
"zipcode": "35005",
"phone": "555-555-0199",
"state_name": null,
"alternative_phone": "555-555-0199",
"company": "Company",
"created_at": "2022-11-08T19:33:51.740Z",
"updated_at": "2022-11-08T19:33:51.740Z",
"deleted_at": null,
"label": null,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"country": {
"data": {
"id": "6",
"type": "country"
}
},
"state": {
"data": {
"id": "6",
"type": "state"
}
},
"user": {
"data": null
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}
